# Interface BasicCoordPanel.CoordStack

All Known Implementing Classes:
  `VariableCoordStack`

Enclosing class:
  `BasicCoordPanel`

public static interface BasicCoordPanel.CoordStack
Interface for presenting a list of coordinate selection components. The term "stack" here is used in a simply visual sense.

Since:
  13 Mar 2013
Author:
  Mark Taylor
See Also:
  - `BasicCoordPanel.createDefaultStack()`

## Method Summary

Modifier and Type
Method
Description
`JLabel`
`addCoordLine(String labelTxt, JComponent line)`
Adds a labelled line to the stack of components.
`JComponent`
`getPanel()`
Returns the visual component displaying this stack.

## Method Details

### addCoordLine

JLabel addCoordLine(String labelTxt, JComponent line)
Adds a labelled line to the stack of components.

Parameters:
  `labelTxt` - text of displayed label to associate with the component
  `line` - component to add
Returns:
  label component displaying supplied `labelTxt`

### getPanel

JComponent getPanel()
Returns the visual component displaying this stack.

Returns:
  panel for user interaction